Skip to main content
GET
/
users
/
{id}
Get a user by ID
curl --request GET \
  --url https://api.rnbi.magent.finance/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Reap-Version: <reap-version>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "phoneNumber": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "country": "US",
  "dateOfBirth": "1990-05-15",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "application": {
    "status": "NOT_STARTED",
    "rejectionReason": "<string>"
  },
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14

Path Parameters

id
string<uuid>
required

Response

User resource

id
string<uuid>
required

Unique user identifier

email
string<email>
required

User email address

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Example:

"john.doe@example.com"

phoneNumber
string
required

Phone number in E.164 format

Example:

"+14155552671"

firstName
string
required

User first name

Example:

"John"

lastName
string
required

User last name

Example:

"Doe"

country
string | null
required

ISO 3166-1 alpha-2 country code

Required string length: 2
Example:

"US"

dateOfBirth
string | null
required

Date of birth in YYYY-MM-DD format (populated from KYC)

Example:

"1990-05-15"

companyId
string<uuid> | null
required

Company ID (set in CORPORATE program mode)

application
object
required

KYC application status

createdAt
string
required

ISO 8601 timestamp of creation

Example:

"2024-01-15T10:30:00Z"

updatedAt
string
required

ISO 8601 timestamp of last update

Example:

"2024-01-15T10:35:00Z"